import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import('../views/HomeView.vue'),
    },
    {
      name: 'cardShower',
      path: '/card/:pages_path*',
      component: () => import('@/views/CardView.vue'),
      props: true,
    },
    {
      name: 'notFound',
      path: '/:any*', // 使用正则表达式匹配所有路径
      component: () => import('@/views/ErrorView.vue'),
      props() {
        return { statusCode: 404 }
      },
    },
  ],
})

export default router
